package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.SysOaWarehouseLog;
import com.ruoyi.oa.domain.vo.SysOaWarehouseLogVo;
import com.ruoyi.oa.domain.bo.SysOaWarehouseLogBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 日志Service接口
 *
 * @author ruoyi
 * @date 2025-06-28
 */
public interface ISysOaWarehouseLogService {

    /**
     * 查询日志
     */
    SysOaWarehouseLogVo queryById(Long logId);

    /**
     * 查询日志列表
     */
    TableDataInfo<SysOaWarehouseLogVo> queryPageList(SysOaWarehouseLogBo bo, PageQuery pageQuery);

    /**
     * 查询日志列表
     */
    List<SysOaWarehouseLogVo> queryList(SysOaWarehouseLogBo bo);

    /**
     * 新增日志
     */
    Boolean insertByBo(SysOaWarehouseLogBo bo);

    /**
     * 修改日志
     */
    Boolean updateByBo(SysOaWarehouseLogBo bo);

    /**
     * 校验并批量删除日志信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
